libvisio::VSDPages Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDPages Class Reference

`#include <VSDPages.h>`

## Public Member Functions
| VSDPages ()
| ~VSDPages ()
void | addPage (const VSDPage &page)
void | addBackgroundPage (const VSDPage &page)
void | draw (librevenge::RVNGDrawingInterface *painter)
void | setMetaData (const librevenge::RVNGPropertyList &metaData)

## Private Member Functions
void | _drawWithBackground (librevenge::RVNGDrawingInterface *painter, const VSDPage &page)

## Private Attributes
std::vector< VSDPage > | m_pages
std::map< unsigned, VSDPage > | m_backgroundPages
librevenge::RVNGPropertyList | m_metaData

## Constructor & Destructor Documentation

libvisio::VSDPages::VSDPages | ( |  | ) |

libvisio::VSDPages::~VSDPages | ( |  | ) |

## Member Function Documentation

void libvisio::VSDPages::_drawWithBackground | ( | librevenge::RVNGDrawingInterface * | painter,
|  | const VSDPage & | page
| ) |  |
| private

Referenced by draw().

void libvisio::VSDPages::addBackgroundPage | ( | const VSDPage & | page | ) |

Referenced by libvisio::VSDContentCollector::endPage().

void libvisio::VSDPages::addPage | ( | const VSDPage & | page | ) |

Referenced by libvisio::VSDContentCollector::endPage().

void libvisio::VSDPages::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |

Referenced by libvisio::VSDContentCollector::endPages().

void libvisio::VSDPages::setMetaData | ( | const librevenge::RVNGPropertyList & | metaData | ) |

Referenced by libvisio::VSDContentCollector::collectMetaData().

## Member Data Documentation

std::map<unsigned, VSDPage> libvisio::VSDPages::m_backgroundPages
| private

Referenced by _drawWithBackground(), addBackgroundPage(), and draw().

librevenge::RVNGPropertyList libvisio::VSDPages::m_metaData
| private

Referenced by draw(), and setMetaData().

std::vector<VSDPage> libvisio::VSDPages::m_pages
| private

Referenced by addPage(), and draw().

The documentation for this class was generated from the following files:

- VSDPages.h
- VSDPages.cpp